Skip to main content
PUT
Update a Liquidation Address

Authorizations

Api-Key
string
header
required

Path Parameters

customerID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
liquidationAddressID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Body

application/json

Liquidation Address details to be updated

external_account_id
string

An optional identifier for the external account you wish to associate with this liquidation schedule.

Note: Only one liquidation address can be associated with an external account per (customer, chain, currency).

custom_developer_fee_percent
string<number> | null

The developer fee percent that will be applied to this Liquidation Address or null to use the default fee. The value is a base 100 percentage, i.e. 10.2% is 10.2 in the API.

Example:

"0.1"

destination
object

Update the destination currency for a crypto liquidation address. Only currency is required; changing the payment rail or address is not currently supported.

destination_ach_reference
string | null

An ACH reference to include with each payout. Send null to clear an existing reference.

Required string length: 1 - 10
destination_wire_message
string | null

A wire message to include with each payout. Send null to clear an existing message.

Required string length: 1 - 256
destination_sepa_reference
string | null

A SEPA reference to include with each payout. Send null to clear an existing reference.

Required string length: 6 - 140
destination_spei_reference
string | null

A SPEI reference to include with each payout. Send null to clear an existing reference.

Required string length: 1 - 40
destination_swift_reference
string | null

A SWIFT payment reference to include with each payout. Send null to clear an existing reference.

Required string length: 1 - 140
destination_reference
string | null

A payment reference message for newer payment rails (e.g. Pix, Faster Payments, and FedNow). Send null to clear an existing reference.

return_address
string | null
deprecated

Deprecated: use return_instructions instead.

The crypto wallet address that Bridge will use to return funds to the customer in case of a failed transaction. Must be on the same chain as the liquidation address. Cannot be used on Stellar — use return_instructions with a memo instead.

return_instructions
object | null

The return instructions Bridge will use to route funds back to the customer when a transaction fails. Replaces the deprecated return_address field. Set one or the other, not both.

For memo-required chains (e.g. Stellar), both address and memo are required — without a memo, Bridge cannot route the return to the correct end-customer at an omnibus wallet.

currency
enum<string>

The source currency to deposit to this liquidation address. Must be either the liquidation address's existing source currency, or all_supported to upgrade the address to accept all supported currencies. Once upgraded to all_supported, this cannot be changed back to a single currency.

Available options:
usdb,
usdc,
usdt,
usdl_linea,
pyusd,
eurc,
all_supported
chain
enum<string>

The source chain to deposit to this liquidation address. Must be either the liquidation address's existing source chain, or evm to upgrade the address to accept deposits from any EVM chain. Only liquidation addresses on an EVM chain can be upgraded. Once upgraded to evm, this cannot be changed back to a single chain.

Available options:
arbitrum,
avalanche_c_chain,
base,
celo,
ethereum,
linea,
optimism,
polygon,
solana,
stellar,
tempo,
tron,
xdc,
evm

Response

Updated Liquidation Address object

id
string
required
read-only

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
currency
enum<string>
required
Available options:
usdb,
usdc,
usdt,
usdl_linea,
pyusd,
eurc,
all_supported
chain
enum<string>
required
Available options:
arbitrum,
avalanche_c_chain,
base,
celo,
ethereum,
linea,
optimism,
polygon,
solana,
stellar,
tempo,
tron,
xdc,
evm
customer_id
string
required

The ID of the customer who owns this liquidation address

Required string length: 1 - 42
Pattern: [a-z0-9]*
external_account_id
string
required

External bank account to which Bridge will send the funds. The currency associated with the External Account must match the destination currency.

Required string length: 1 - 42
Pattern: [a-z0-9]*
destination_payment_rail
enum<string>
required

The payment rail that Bridge will use to send funds to the customer.

Available options:
ach,
wire,
ach_push,
ach_same_day,
arbitrum,
avalanche_c_chain,
base,
bre_b,
co_bank_transfer,
celo,
ethereum,
faster_payments,
fiat_deposit_return,
linea,
optimism,
pix,
polygon,
sepa,
solana,
spei,
stellar,
swift,
tempo,
tron,
xdc
destination_currency
enum<string>
required

The currency that Bridge will use to send funds to the customer.

Available options:
brl,
cop,
eur,
eurc,
gbp,
mxn,
ousd,
path_usd,
pyusd,
usd,
usdb,
usdc,
usdt,
usdl_linea
address
string
required
read-only

The crypto wallet address the customer will send funds to in order to initiate the payment processing

created_at
string<date-time>
required
read-only

Time of creation of the Liquidation Address

updated_at
string<date-time>
required
read-only

Time of last update of the Liquidation Address

supported_currencies
object
read-only

The currencies this Liquidation Address accepts on each chain. Keys are LiquidationAddressSourceChain values (e.g. ethereum, polygon, base). For a single-chain, single-currency address this is just that one chain and currency; for a multi-chain (chain is evm) or multi-currency (currency is all_supported) address it lists every currency actually accepted on each chain.

Example:
prefunded_account_id
string

The developer's prefunded account to which Bridge will send the funds.

Required string length: 1 - 42
Pattern: [a-z0-9]*
custom_developer_fee_percent
string<number> | null

The developer fee percent that will be applied to this Liquidation Address or null to use the default fee. The value is a base 100 percentage, i.e. 10.2% is 10.2 in the API.

Example:

"0.1"

global_developer_fee_percent
object

The developer fee percent that will be default applied to all Liquidation Addresses.

destination_wire_message
string

A message to be sent with a wire transfer.

Required string length: 1 - 256
destination_sepa_reference
string

A reference message to be sent with a SEPA transaction. We recommend you set a unique value to help you and your customers track payments end to end. It must be from 6 to 140 characters. The allowed characters are a-z, A-Z, 0-9, spaces, ampersand (&), hyphen (-), full stop (.), and solidus (/). If not populated, the default value is "Payment via Bridge {unique_token}".

Required string length: 6 - 140
destination_spei_reference
string

A payment reference message or remittance information to be included in a SPEI transaction. The allowed characters are alphanumeric a-z, A-Z, 0-9, and space

Required string length: 1 - 40
destination_ach_reference
string

A reference message to be sent with an ACH transaction. It can be at most 10 characters, A-Z, a-z, 0-9, and spaces.

Required string length: 1 - 10
destination_swift_reference
string

A payment reference message or remittance information to be included in a SWIFT transaction. It can have at most 4 lines (separated by "\n"), each line with a max length of 35 chars. The allowed characters are a-z, A-Z, 0-9, special characters (/ - ? : ( ) . , ' +), and space

Required string length: 1 - 140
memoless_address
string
read-only

An alternative crypto wallet address that encodes the memo, allowing the customer to send funds without needing to include a separate memo. Currently only available for Stellar deposits.

blockchain_memo
string
read-only

The memo that must be included with the deposit transaction when sending funds to the deposit address. Only present for blockchains that require memos (such as Stellar).

destination_address
string

The crypto wallet address that Bridge will use to send funds to the customer.

destination_blockchain_memo
string

The memo to include in the transaction, for blockchains that support memos only

return_address
string | null
deprecated

Deprecated: use return_instructions instead.

The crypto wallet address that Bridge will use to return funds to the customer in case of a failed transaction. Must be on the same chain as the liquidation address. Cannot be used on Stellar — use return_instructions with a memo instead.

return_memo
string | null

The memo included with return transactions. Present when return_instructions was set with a memo (e.g. required for Stellar to route funds to the correct end-customer).

state
string

The state of the liquidation address. It could be "active" or "deactivated"